org.apache.flume.thrift

## Class ThriftSourceProtocol.Client

- java.lang.Object
- - org.apache.thrift.TServiceClient
  - - org.apache.flume.thrift.ThriftSourceProtocol.Client

- All Implemented Interfaces:
    ThriftSourceProtocol.Iface
  Enclosing class:
    ThriftSourceProtocol

      public static class ThriftSourceProtocol.Client
      extends org.apache.thrift.TServiceClient
      implements ThriftSourceProtocol.Iface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ThriftSourceProtocol.Client.Factory`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.TServiceClient

      `iprot_, oprot_, seqid_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftSourceProtocol.Client(org.apache.thrift.protocol.TProtocol prot)`
    `ThriftSourceProtocol.Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Status` | `append(ThriftFlumeEvent event)`
    `Status` | `appendBatch(List<ThriftFlumeEvent> events)`
    `Status` | `recv_append()`
    `Status` | `recv_appendBatch()`
    `void` | `send_append(ThriftFlumeEvent event)`
    `void` | `send_appendBatch(List<ThriftFlumeEvent> events)`

    - ### Methods inherited from class org.apache.thrift.TServiceClient

      `getInputProtocol, getOutputProtocol, receiveBase, sendBase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftSourceProtocol.Client

          public ThriftSourceProtocol.Client(org.apache.thrift.protocol.TProtocol prot)

    - #### ThriftSourceProtocol.Client

          public ThriftSourceProtocol.Client(org.apache.thrift.protocol.TProtocol iprot,
                                     org.apache.thrift.protocol.TProtocol oprot)

  - ### Method Detail

    - #### append

          public Status append(ThriftFlumeEvent event)
                        throws org.apache.thrift.TException

      Specified by:
        `append` in interface `ThriftSourceProtocol.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_append

          public void send_append(ThriftFlumeEvent event)
                           throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_append

          public Status recv_append()
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### appendBatch

          public Status appendBatch(List<ThriftFlumeEvent> events)
                             throws org.apache.thrift.TException

      Specified by:
        `appendBatch` in interface `ThriftSourceProtocol.Iface`
      Throws:
        `org.apache.thrift.TException`

    - #### send_appendBatch

          public void send_appendBatch(List<ThriftFlumeEvent> events)
                                throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### recv_appendBatch

          public Status recv_appendBatch()
                                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.